// MIT License
//
// Copyright (c) 2019 Jonathan R. Madsen
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
//
//

#pragma once

//
//  This file was auto-generated by CMake. DO NOT EDIT!
//

/** \def PTL_VERSION
 * \brief
 *  MAJOR_VERSION: PTL_VERSION / 10000
 *  MINOR_VERSION: PTL_VERSION % 10000 / 100
 *  PATCH_VERSION: PTL_VERSION % 100
 */

#define PTL_VERSION_MAJOR 2
#define PTL_VERSION_MINOR 3
#define PTL_VERSION_PATCH 2

#define PTL_VERSION 20302
#define PTL_VERSION_STRING "2.3.2"

#if defined(PTL_VERSION) && defined(PTL_VERSION_MAJOR)
static_assert(PTL_VERSION / 10000 == PTL_VERSION_MAJOR, "Incorrect PTL major version");
#endif

#if defined(PTL_VERSION) && defined(PTL_VERSION_MINOR)
static_assert(PTL_VERSION % 10000 / 100 == PTL_VERSION_MINOR,
              "Incorrect PTL minor version");
#endif

#if defined(PTL_VERSION) && defined(PTL_VERSION_PATCH)
static_assert(PTL_VERSION % 100 == PTL_VERSION_PATCH, "Incorrect PTL patch version");
#endif
